"use strict";
/**
 * This module exports the @base64 and @hex modules and it's the one used when importing the package with `import 'arraybuffer-encoding'`. You should consider using one of the submodules instead, such as `import 'arraybuffer-encoding/hex'` or `import 'arraybuffer-encoding/base64'`
 * @module
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hex = exports.Base64 = void 0;
/* tslint:disable:variable-name */
const index_js_1 = require("./base64/index.js");
const hex_js_1 = require("./hex.js");
/** Base64 encoding and decoding utilities */
exports.Base64 = {
    Decode: index_js_1.Decode,
    Encode: index_js_1.Encode
};
/** Hex encoding and decoding utilities */
exports.Hex = {
    Decode: hex_js_1.Decode,
    Encode: hex_js_1.Encode
};
//# sourceMappingURL=index.js.map