/**
 * This module provides utilities to encode and decode hex strings.
 * @module hex
 */
/**
 * Encode an ArrayBuffer to hex in a string.
 * @param ab Data to encode to hex
 * @returns Hex-encoded string
 */
export declare function Encode(ab: ArrayBuffer): string;
/**
 * Decode a string from hex.
 * @param str Hex-encoded string
 * @returns Data decoded from the hex string
 */
export declare function Decode(str: string): ArrayBuffer;
